# MedicalCertificateScannerConfiguration class

Vin rtu-ui scanner configuration class

Inheritance
  - Object
  - MedicalCertificateRecognizerJsonConfiguration
  - MedicalCertificateScannerConfiguration

## Constructors

MedicalCertificateScannerConfiguration({CameraModule? cameraModule, Color? cameraOverlayColor, String? cancelButtonTitle, bool? cancelButtonHidden, String? enableCameraButtonTitle, String? enableCameraExplanationText, DialogStyle? errorDialogStyle, DialogButtonStyle? errorDialogButtonStyle, AspectRatio? finderAspectRatio, Color? finderLineColor, double? finderLineWidth, bool? flashButtonHidden, String? flashButtonTitle, bool? flashEnabled, OrientationLockMode? orientationLockMode, Color? topBarBackgroundColor, Color? topBarButtonsActiveColor, Color? topBarButtonsInactiveColor, Color? userGuidanceBackgroundColor, Color? userGuidanceTextColor, MedicalCertificateUserGuidanceStrings? userGuidanceStrings, bool? useButtonsAllCaps, CameraPreviewMode? cameraPreviewMode, bool? touchToFocusEnabled})

## Properties

cameraModule ↔ CameraModule?
  The preferred camera module (default - BACK)
  getter/setter pair inherited
cameraOverlayColor ↔ Color?
  Background color outside of the finder window.
  getter/setter pair inherited
cameraPreviewMode ↔ CameraPreviewMode?
  Preview mode of the camera. FILL_IN or FIT_IN. Default is FILL_IN. Android only
  getter/setter pair inherited
cancelButtonHidden ↔ bool?
  Whether the cancel button is hidden or not. iOS only.
  getter/setter pair inherited
cancelButtonTitle ↔ String?
  Title of the cancel button.
  getter/setter pair inherited
enableCameraButtonTitle ↔ String?
  Title of the button that opens the screen where the user can allow the usage of the camera by the app.
  getter/setter pair inherited
enableCameraExplanationText ↔ String?
  Text that will be displayed when the app is not allowed to use the camera, prompting the user to enable the usage of the camera.
  getter/setter pair inherited
errorDialogAccentColor ↔ Color?
  The accent color of buttons on a error dialog.
  getter/setter pair inherited
errorDialogButtonStyle ↔ DialogButtonStyle?
  The style of the dialogs/alerts OK button in case of error. iOS only.
  getter/setter pair inherited
errorDialogMessage ↔ String?
  Error dialog message
  getter/setter pair inherited
errorDialogOkButton ↔ String?
  Error dialog ok button text.
  getter/setter pair inherited
errorDialogOkButtonFilled ↔ bool?
  Allows to set if the confirm button should be filled. Android only.
  getter/setter pair inherited
errorDialogOkButtonFilledTextColor ↔ Color?
  Allows to set a text color of the filled button. Android only.
  getter/setter pair inherited
errorDialogStyle ↔ DialogStyle?
  The style of the dialog/alert in case of error. iOS only.
  getter/setter pair inherited
errorDialogTitle ↔ String?
  Error dialog title
  getter/setter pair inherited
finderAspectRatio ↔ AspectRatio?
  Aspect ratio of the view finder (width \ height). Set to nil of no view finder should be displayed. iOS only.
  getter/setter pair inherited
finderLineColor ↔ Color?
  Foreground color of the detection overlay.
  getter/setter pair inherited
finderLineWidth ↔ double?
  Width of finder frame border. Default is 2.
  getter/setter pair inherited
finderSecondaryAspectRatio ↔ AspectRatio?
  Secondary aspect ratio of finder frame (width \ height). Set to nil if no secondary view finder should be displayed. iOS only.
  getter/setter pair inherited
flashButtonHidden ↔ bool?
  Controls whether the flash toggle button is hidden or not. iOS only.
  getter/setter pair inherited
flashButtonTitle ↔ String?
  Title of the flash toggle button. iOS only.
  getter/setter pair inherited
flashEnabled ↔ bool?
  Controls whether the flash should be initially enabled. The default value is FALSE.
  getter/setter pair inherited
hashCode → int
  The hash code for this object.
  no setter inherited
orientationLockMode ↔ OrientationLockMode?
  UI Interface orientation lock mode
  getter/setter pair inherited
recognizePatientInfo ↔ bool?
  Whether sdk should run recognition of Patient Information block.
  getter/setter pair inherited
returnCroppedDocumentImage ↔ bool?
  Whether sdk should return cropped document image or not
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
screen ↔ String?
  The configuration object should be applied for this screen
  getter/setter pair override
showFinderOverlay ↔ bool?
  Option to show or hide finder overlay
  getter/setter pair inherited
topBarBackgroundColor ↔ Color?
  The background color of the top toolbar.
  getter/setter pair inherited
topBarButtonsActiveColor ↔ Color?
  The color of all active toggle buttons in the toolbar.
  getter/setter pair inherited
topBarButtonsInactiveColor ↔ Color?
  The color of all inactive toggle buttons in the toolbar.
  getter/setter pair inherited
touchToFocusEnabled ↔ bool?
  Whether touch-to-focus is enabled on camera preview. Enabled by default. Android only.
  getter/setter pair inherited
useButtonsAllCaps ↔ bool?
  Controls whether buttons should use all capitals style, as defined by the Android Material Design. Defaults to TRUE. Android only.
  getter/setter pair inherited
userGuidanceBackgroundColor ↔ Color?
  The background color of the user guidance hints.
  getter/setter pair inherited
userGuidanceHidden ↔ bool?
  Whether the user guidance label is hidden or not. iOS only.
  getter/setter pair inherited
userGuidanceStrings ↔ MedicalCertificateUserGuidanceStrings?
  Configuration that helps to override default hint values
  getter/setter pair inherited
userGuidanceTextColor ↔ Color?
  The text color of the user guidance hints.
  getter/setter pair inherited
version ↔ String?
  A version of the configuration object
  getter/setter pair inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited